ParameterException
Date: 2016-02-08

org.apache.avalon.framework.parameters

## Class ParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.avalon.framework.CascadingException
      - - org.apache.avalon.framework.parameters.ParameterException

- All Implemented Interfaces:
    java.io.Serializable, CascadingThrowable

      public final class ParameterException
      extends CascadingException

  Thrown when a `Parameterizable` component cannot be parameterized properly, or if a value cannot be retrieved properly.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterException(java.lang.String message)` Construct a new `ParameterException` instance.
    `ParameterException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `ParameterException` instance.

  - ### Method Summary

    - ### Methods inherited from class org.apache.avalon.framework.CascadingException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterException

          public ParameterException(java.lang.String message)

      Construct a new `ParameterException` instance.
      Parameters:
        `message` - The detail message for this exception.

    - #### ParameterException

          public ParameterException(java.lang.String message,
                            java.lang.Throwable throwable)

      Construct a new `ParameterException` instance.
      Parameters:
        `message` - The detail message for this exception.
        `throwable` - the root cause of the exception